%global appname com.github.bharatkalluri.%{name}

Name:           gifup
Version:        0.0.21
Release:        1%{?dist}
Summary:        Desktop program to create GIFs

License:        GPLv3+
URL:            https://github.com/BharatKalluri/Gifup
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
# BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
# BuildRequires:  pkgconfig(libsoup-2.4)
Requires:       hicolor-icon-theme

%description
Create GIFs from video files, written for the elementary OS.

%prep
%autosetup -n Gifup-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appname}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appname}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files -f %{appname}.lang
%license LICENSE.md
%doc README.md
%{_bindir}/%{appname}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.appdata.xml

%changelog
* Fri Aug 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.21-1
- Initial package
